Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.cnd
Class CndSequencerLexicon

    java.lang.Object
      org.modeshape.sequencer.cnd.CndSequencerLexicon

    public final class CndSequencerLexicon

extends Object

Class which holds the string constants corresponding to the cnd sequencer's lexicon

Author:
  Horia Chiorean

Nested Class Summary
`static class` | `CndSequencerLexicon.Namespace`

Field Summary
`static String` | `AUTO_CREATED`
`static String` | `AVAILABLE_QUERY_OPERATORS`
`static String` | `CHILD_NODE_DEFINITION`
`static String` | `DEFAULT_PRIMARY_TYPE`
`static String` | `DEFAULT_VALUES`
`static String` | `HAS_ORDERABLE_CHILD_NODES`
`static String` | `IS_ABSTRACT`
`static String` | `IS_FULL_TEXT_SEARCHABLE`
`static String` | `IS_MIXIN`
`static String` | `IS_QUERY_ORDERABLE`
`static String` | `IS_QUERYABLE`
`static String` | `MANDATORY`
`static String` | `MULTIPLE`
`static String` | `NAME`
`static String` | `NODE_TYPE`
`static String` | `NODE_TYPE_NAME`
`static String` | `ON_PARENT_VERSION`
`static String` | `PRIMARY_ITEM_NAME`
`static String` | `PROPERTY_DEFINITION`
`static String` | `PROTECTED`
`static String` | `REQUIRED_PRIMARY_TYPES`
`static String` | `REQUIRED_TYPE`
`static String` | `SAME_NAME_SIBLINGS`
`static String` | `SUPERTYPES`
`static String` | `VALUE_CONSTRAINTS`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NODE_TYPE

    public static final String NODE_TYPE

See Also:
  Constant Field Values

### NODE_TYPE_NAME

    public static final String NODE_TYPE_NAME

See Also:
  Constant Field Values

### SUPERTYPES

    public static final String SUPERTYPES

See Also:
  Constant Field Values

### IS_ABSTRACT

    public static final String IS_ABSTRACT

See Also:
  Constant Field Values

### IS_MIXIN

    public static final String IS_MIXIN

See Also:
  Constant Field Values

### IS_QUERYABLE

    public static final String IS_QUERYABLE

See Also:
  Constant Field Values

### PRIMARY_ITEM_NAME

    public static final String PRIMARY_ITEM_NAME

See Also:
  Constant Field Values

### HAS_ORDERABLE_CHILD_NODES

    public static final String HAS_ORDERABLE_CHILD_NODES

See Also:
  Constant Field Values

### PROPERTY_DEFINITION

    public static final String PROPERTY_DEFINITION

See Also:
  Constant Field Values

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### AUTO_CREATED

    public static final String AUTO_CREATED

See Also:
  Constant Field Values

### MANDATORY

    public static final String MANDATORY

See Also:
  Constant Field Values

### IS_FULL_TEXT_SEARCHABLE

    public static final String IS_FULL_TEXT_SEARCHABLE

See Also:
  Constant Field Values

### ON_PARENT_VERSION

    public static final String ON_PARENT_VERSION

See Also:
  Constant Field Values

### PROTECTED

    public static final String PROTECTED

See Also:
  Constant Field Values

### REQUIRED_TYPE

    public static final String REQUIRED_TYPE

See Also:
  Constant Field Values

### VALUE_CONSTRAINTS

    public static final String VALUE_CONSTRAINTS

See Also:
  Constant Field Values

### AVAILABLE_QUERY_OPERATORS

    public static final String AVAILABLE_QUERY_OPERATORS

See Also:
  Constant Field Values

### DEFAULT_VALUES

    public static final String DEFAULT_VALUES

See Also:
  Constant Field Values

### MULTIPLE

    public static final String MULTIPLE

See Also:
  Constant Field Values

### IS_QUERY_ORDERABLE

    public static final String IS_QUERY_ORDERABLE

See Also:
  Constant Field Values

### CHILD_NODE_DEFINITION

    public static final String CHILD_NODE_DEFINITION

See Also:
  Constant Field Values

### REQUIRED_PRIMARY_TYPES

    public static final String REQUIRED_PRIMARY_TYPES

See Also:
  Constant Field Values

### DEFAULT_PRIMARY_TYPE

    public static final String DEFAULT_PRIMARY_TYPE

See Also:
  Constant Field Values

### SAME_NAME_SIBLINGS

    public static final String SAME_NAME_SIBLINGS

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.